Commit a999adc9 authored by Mattia Rizzolo's avatar Mattia Rizzolo

Merge branch 'mergechanges-920470' of salsa.debian.org:smcv/devscripts

MR: debian/devscripts!102Signed-off-by: Mattia Rizzolo's avatarMattia Rizzolo <mattia@debian.org>
parents d546cc97 f710c7b2
......@@ -21,6 +21,9 @@ devscripts (2.19.3) UNRELEASED; urgency=medium
+ Consider installing foreign 'Multi-Arch: same' packages, as long as they
belong of a known foreign architecture.
+ Closes: #915668; MR: !93
* mergechanges: !102
+ Merge Binary and Description fields. Closes: #920470
+ Add a basic regression test.
[ Xavier Guimard ]
* salsa:
......
......@@ -238,11 +238,6 @@ OUTPUT=$(mktemp --tmpdir mergechanges.tmp.XXXXXXXXXX)
DESCFILE=$(mktemp --tmpdir mergechanges.tmp.XXXXXXXXXX)
trap 'rm -f "${OUTPUT}" "${DESCFILE}"' EXIT
if test $(echo "${DESCRIPTIONS}" | wc -l) -ne 0; then
echo "Description: " > "${DESCFILE}"
echo "${DESCRIPTIONS}" >> "${DESCFILE}"
fi
# Copy one of the files to ${OUTPUT}, nuking any PGP signature
if $(grep -q "BEGIN PGP SIGNED MESSAGE" "$1"); then
perl -ne 'next if 1../^$/; next if /^$/..1; print' "$1" > ${OUTPUT}
......@@ -250,8 +245,96 @@ else
cp "$1" ${OUTPUT}
fi
# Replace the Architecture: field, nuke the value of Checksums-*: and Files:,
# and insert the Description: field before the Changes: field
# Combine the Binary: and Description: fields. This is straightforward,
# unless we want to exclude some binary packages, in which case we need
# more thought.
BINARY=$(grep -h "^Binary: " "$@" | sed -e "s,^Binary: ,," | tr ' ' '\n' | sort -u)
if test ${REMOVE_ARCHDEP} = 1 && test ${REMOVE_INDEP} = 1; then
BINARY=
DESCRIPTIONS=
elif test ${REMOVE_ARCHDEP} = 1 || test ${REMOVE_INDEP} = 1; then
keep_binaries=$(
grep -E -h "^ [0-9a-f]{32} [0-9]+" "$@" | while read -r line; do
file="${line##* }"
case "$line" in
(*.dsc|*.diff.gz|*.tar.*|*.buildinfo)
# source or buildinfo
;;
(*_all.deb|*_all.udeb)
# architecture-indep
package="${file%%_*}"
if ! echo "$BINARY" | grep -q -x -F "$package"; then
echo "Error: $package not found in Binary field" >&2
echo "$line" >&2
exit 1
fi
if test ${REMOVE_INDEP} != 1; then
echo "$package"
fi
;;
(*.deb|*.udeb)
# architecture-specific
package="${file%%_*}"
if ! echo "$BINARY" | grep -q -x -F "$package"; then
echo "Error: $package not found in Binary field" >&2
echo "$line" >&2
exit 1
fi
if test ${REMOVE_ARCHDEP} != 1; then
echo "$package"
fi
;;
(*)
echo "Unrecognised file, is it architecture-dependent?" >&2
echo "$line" >&2
exit 1
;;
esac
done \
| tr '\n' ' ')
BINARY=$(
echo "$BINARY" |
while read -r line; do
if echo " $keep_binaries" | grep -q -F " $line "; then
echo "$line";
fi
done
)
DESCRIPTIONS=$(
echo "$DESCRIPTIONS" |
while read -r line; do
line="$(echo "$line" | sed -e 's/^ *//')"
package="${line%% *}"
if echo " $keep_binaries" | grep -q -F " $package "; then
echo " $line";
fi
done
)
fi
BINARY=$(echo "$BINARY" | tr '\n' ' ' | sed 's/ $//')
if test -n "${DESCRIPTIONS}"; then
echo "Description: " > "${DESCFILE}"
echo "${DESCRIPTIONS}" >> "${DESCFILE}"
fi
if [ -n "$BINARY" ]; then
BINARY="Binary: $BINARY\\n"
fi
# Modify the output to be the merged version:
# * Replace the Architecture: and Binary: fields
# * Nuke the value of Checksums-*: and Files:
# * Insert the Description: field before the Changes: field
#
# We print Binary directly after Source instead of directly replacing
# Binary, because with dpkg 1.19.3, if the first .changes file is
# source-only, it won't have a Binary field at all.
eval "awk -- '/^[^ ]/{ deleting=0 }
/^ /{
if (!deleting) {
......@@ -260,6 +343,8 @@ eval "awk -- '/^[^ ]/{ deleting=0 }
next
}
/^Architecture: /{printf \"%s ${ARCHS}\\n\", \$1; next}
/^Source: /{print; printf \"${BINARY}\"; next}
/^Binary: /{next}
/^Changes:/{
field=\$0
while ((getline < \"${DESCFILE}\") > 0) {
......
......@@ -8,6 +8,7 @@ OUR_TESTS= \
debdiff \
debrepro \
debsign \
mergechanges \
mk-origtargz \
package_lifecycle \
sadt \
......
Format: 1.8
Date: Sat, 26 Jan 2019 18:31:50 +0000
Source: xdg-desktop-portal
Binary: xdg-desktop-portal-dev
Architecture: all
Version: 1.2.0-1
Distribution: unstable
Urgency: medium
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Changed-By: Simon McVittie <smcv@debian.org>
Description:
xdg-desktop-portal-dev - this Description is different
Changes:
xdg-desktop-portal (1.2.0-1) unstable; urgency=medium
.
[ Simon McVittie ]
* New upstream stable release
* d/watch: Only watch for stable releases
* d/p/Revert-Stop-building-the-icon-validator.patch,
d/p/validate-icon-Add-a-define-for-bwrap.patch,
d/p/Replace-the-icon-validator-with-the-one-from-Flatpak-git-.patch:
Build a copy of the icon validator from Flatpak git master.
We don't want to rely on a version of Flatpak that isn't
stable yet.
- d/p/notification-Handle-non-existing-directories.patch,
d/p/notification-bind-mount-etc-ld.so.cache-to-the-sandbox.patch:
Remove, no longer necessary
* d/upstream/metadata: Add DEP-12 metadata
* Release to unstable
.
[ Jeremy Bicha ]
* Don't enable remote desktop support on Ubuntu. See LP bug 1802533
Checksums-Sha1:
3c23c6796524c189e84e0196eb044f52f8fe917d 38992 xdg-desktop-portal-dev_1.2.0-1_all.deb
62d26daeb56e96ff6639ff2ef0af18340ae7a605 9179 xdg-desktop-portal_1.2.0-1_all.buildinfo
Checksums-Sha256:
f98a6c57e6b932d7c6bf8e38949f57206f4c6ded0156b0afaaebfc89d7d5b443 38992 xdg-desktop-portal-dev_1.2.0-1_all.deb
3552acdfb12d65e325bd161bad6446185851defe83ecfa1562294cbf48615e59 9179 xdg-desktop-portal_1.2.0-1_all.buildinfo
Files:
16c46d8c8dc3f185d9aaaf4c43bcb97d 38992 admin optional xdg-desktop-portal-dev_1.2.0-1_all.deb
5996887565ed2ec3a64280fbf1a29e13 9179 admin optional xdg-desktop-portal_1.2.0-1_all.buildinfo
Format: 1.8
Date: Sat, 26 Jan 2019 18:31:50 +0000
Source: this-source-is-different
Binary: xdg-desktop-portal-dev
Architecture: all
Version: 1.2.0-1
Distribution: unstable
Urgency: medium
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Changed-By: Simon McVittie <smcv@debian.org>
Description:
xdg-desktop-portal-dev - desktop integration portal - development files
Changes:
xdg-desktop-portal (1.2.0-1) unstable; urgency=medium
.
[ Simon McVittie ]
* New upstream stable release
* d/watch: Only watch for stable releases
* d/p/Revert-Stop-building-the-icon-validator.patch,
d/p/validate-icon-Add-a-define-for-bwrap.patch,
d/p/Replace-the-icon-validator-with-the-one-from-Flatpak-git-.patch:
Build a copy of the icon validator from Flatpak git master.
We don't want to rely on a version of Flatpak that isn't
stable yet.
- d/p/notification-Handle-non-existing-directories.patch,
d/p/notification-bind-mount-etc-ld.so.cache-to-the-sandbox.patch:
Remove, no longer necessary
* d/upstream/metadata: Add DEP-12 metadata
* Release to unstable
.
[ Jeremy Bicha ]
* Don't enable remote desktop support on Ubuntu. See LP bug 1802533
Checksums-Sha1:
3c23c6796524c189e84e0196eb044f52f8fe917d 38992 xdg-desktop-portal-dev_1.2.0-1_all.deb
62d26daeb56e96ff6639ff2ef0af18340ae7a605 9179 xdg-desktop-portal_1.2.0-1_all.buildinfo
Checksums-Sha256:
f98a6c57e6b932d7c6bf8e38949f57206f4c6ded0156b0afaaebfc89d7d5b443 38992 xdg-desktop-portal-dev_1.2.0-1_all.deb
3552acdfb12d65e325bd161bad6446185851defe83ecfa1562294cbf48615e59 9179 xdg-desktop-portal_1.2.0-1_all.buildinfo
Files:
16c46d8c8dc3f185d9aaaf4c43bcb97d 38992 admin optional xdg-desktop-portal-dev_1.2.0-1_all.deb
5996887565ed2ec3a64280fbf1a29e13 9179 admin optional xdg-desktop-portal_1.2.0-1_all.buildinfo
Format: 1.8
Date: Sat, 26 Jan 2019 18:31:50 +0000
Source: xdg-desktop-portal
Binary: xdg-desktop-portal-dev
Architecture: all
Version: 1.2.0-1~different
Distribution: unstable
Urgency: medium
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Changed-By: Simon McVittie <smcv@debian.org>
Description:
xdg-desktop-portal-dev - desktop integration portal - development files
Changes:
xdg-desktop-portal (1.2.0-1) unstable; urgency=medium
.
[ Simon McVittie ]
* New upstream stable release
* d/watch: Only watch for stable releases
* d/p/Revert-Stop-building-the-icon-validator.patch,
d/p/validate-icon-Add-a-define-for-bwrap.patch,
d/p/Replace-the-icon-validator-with-the-one-from-Flatpak-git-.patch:
Build a copy of the icon validator from Flatpak git master.
We don't want to rely on a version of Flatpak that isn't
stable yet.
- d/p/notification-Handle-non-existing-directories.patch,
d/p/notification-bind-mount-etc-ld.so.cache-to-the-sandbox.patch:
Remove, no longer necessary
* d/upstream/metadata: Add DEP-12 metadata
* Release to unstable
.
[ Jeremy Bicha ]
* Don't enable remote desktop support on Ubuntu. See LP bug 1802533
Checksums-Sha1:
3c23c6796524c189e84e0196eb044f52f8fe917d 38992 xdg-desktop-portal-dev_1.2.0-1_all.deb
62d26daeb56e96ff6639ff2ef0af18340ae7a605 9179 xdg-desktop-portal_1.2.0-1_all.buildinfo
Checksums-Sha256:
f98a6c57e6b932d7c6bf8e38949f57206f4c6ded0156b0afaaebfc89d7d5b443 38992 xdg-desktop-portal-dev_1.2.0-1_all.deb
3552acdfb12d65e325bd161bad6446185851defe83ecfa1562294cbf48615e59 9179 xdg-desktop-portal_1.2.0-1_all.buildinfo
Files:
16c46d8c8dc3f185d9aaaf4c43bcb97d 38992 admin optional xdg-desktop-portal-dev_1.2.0-1_all.deb
5996887565ed2ec3a64280fbf1a29e13 9179 admin optional xdg-desktop-portal_1.2.0-1_all.buildinfo
Format: 1.7
Date: Sat, 26 Jan 2019 18:31:50 +0000
Source: xdg-desktop-portal
Binary: xdg-desktop-portal-dev
Architecture: all
Version: 1.2.0-1
Distribution: unstable
Urgency: medium
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Changed-By: Simon McVittie <smcv@debian.org>
Description:
xdg-desktop-portal-dev - desktop integration portal - development files
Changes:
xdg-desktop-portal (1.2.0-1) unstable; urgency=medium
.
[ Simon McVittie ]
* New upstream stable release
* d/watch: Only watch for stable releases
* d/p/Revert-Stop-building-the-icon-validator.patch,
d/p/validate-icon-Add-a-define-for-bwrap.patch,
d/p/Replace-the-icon-validator-with-the-one-from-Flatpak-git-.patch:
Build a copy of the icon validator from Flatpak git master.
We don't want to rely on a version of Flatpak that isn't
stable yet.
- d/p/notification-Handle-non-existing-directories.patch,
d/p/notification-bind-mount-etc-ld.so.cache-to-the-sandbox.patch:
Remove, no longer necessary
* d/upstream/metadata: Add DEP-12 metadata
* Release to unstable
.
[ Jeremy Bicha ]
* Don't enable remote desktop support on Ubuntu. See LP bug 1802533
Checksums-Sha1:
3c23c6796524c189e84e0196eb044f52f8fe917d 38992 xdg-desktop-portal-dev_1.2.0-1_all.deb
62d26daeb56e96ff6639ff2ef0af18340ae7a605 9179 xdg-desktop-portal_1.2.0-1_all.buildinfo
Checksums-Sha256:
f98a6c57e6b932d7c6bf8e38949f57206f4c6ded0156b0afaaebfc89d7d5b443 38992 xdg-desktop-portal-dev_1.2.0-1_all.deb
3552acdfb12d65e325bd161bad6446185851defe83ecfa1562294cbf48615e59 9179 xdg-desktop-portal_1.2.0-1_all.buildinfo
Files:
16c46d8c8dc3f185d9aaaf4c43bcb97d 38992 admin optional xdg-desktop-portal-dev_1.2.0-1_all.deb
5996887565ed2ec3a64280fbf1a29e13 9179 admin optional xdg-desktop-portal_1.2.0-1_all.buildinfo
Format: 1.8
Date: Sat, 26 Jan 2019 18:31:50 +0000
Source: xdg-desktop-portal
Binary: xdg-desktop-portal-dev
Architecture: all
Version: 1.2.0-1
Distribution: unstable
Urgency: medium
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Changed-By: Simon McVittie <smcv@debian.org>
Description:
xdg-desktop-portal-dev - desktop integration portal - development files
Changes:
xdg-desktop-portal (1.2.0-1) unstable; urgency=medium
.
[ Simon McVittie ]
* New upstream stable release
* d/watch: Only watch for stable releases
* d/p/Revert-Stop-building-the-icon-validator.patch,
d/p/validate-icon-Add-a-define-for-bwrap.patch,
d/p/Replace-the-icon-validator-with-the-one-from-Flatpak-git-.patch:
Build a copy of the icon validator from Flatpak git master.
We don't want to rely on a version of Flatpak that isn't
stable yet.
- d/p/notification-Handle-non-existing-directories.patch,
d/p/notification-bind-mount-etc-ld.so.cache-to-the-sandbox.patch:
Remove, no longer necessary
* d/upstream/metadata: Add DEP-12 metadata
* Release to unstable
.
[ Jeremy Bicha ]
* Don't enable remote desktop support on Ubuntu. See LP bug 1802533
Checksums-Sha1:
3c23c6796524c189e84e0196eb044f52f8fe917d 38992 xdg-desktop-portal-dev_1.2.0-1_all.deb
62d26daeb56e96ff6639ff2ef0af18340ae7a605 9179 xdg-desktop-portal_1.2.0-1_all.buildinfo
Checksums-Sha256:
f98a6c57e6b932d7c6bf8e38949f57206f4c6ded0156b0afaaebfc89d7d5b443 38992 xdg-desktop-portal-dev_1.2.0-1_all.deb
3552acdfb12d65e325bd161bad6446185851defe83ecfa1562294cbf48615e59 9179 xdg-desktop-portal_1.2.0-1_all.buildinfo
Checksums-Ffff:
ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff 38992 xdg-desktop-portal-dev_1.2.0-1_all.deb
ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff 9179 xdg-desktop-portal_1.2.0-1_all.buildinfo
Files:
16c46d8c8dc3f185d9aaaf4c43bcb97d 38992 admin optional xdg-desktop-portal-dev_1.2.0-1_all.deb
5996887565ed2ec3a64280fbf1a29e13 9179 admin optional xdg-desktop-portal_1.2.0-1_all.buildinfo
Format: 1.6
Date: Sat, 26 Jan 2019 18:31:50 +0000
Source: xdg-desktop-portal
Binary: xdg-desktop-portal-dev
Architecture: all
Version: 1.2.0-1
Distribution: unstable
Urgency: medium
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Changed-By: Simon McVittie <smcv@debian.org>
Description:
xdg-desktop-portal-dev - desktop integration portal - development files
Changes:
xdg-desktop-portal (1.2.0-1) unstable; urgency=medium
.
[ Simon McVittie ]
* New upstream stable release
* d/watch: Only watch for stable releases
* d/p/Revert-Stop-building-the-icon-validator.patch,
d/p/validate-icon-Add-a-define-for-bwrap.patch,
d/p/Replace-the-icon-validator-with-the-one-from-Flatpak-git-.patch:
Build a copy of the icon validator from Flatpak git master.
We don't want to rely on a version of Flatpak that isn't
stable yet.
- d/p/notification-Handle-non-existing-directories.patch,
d/p/notification-bind-mount-etc-ld.so.cache-to-the-sandbox.patch:
Remove, no longer necessary
* d/upstream/metadata: Add DEP-12 metadata
* Release to unstable
.
[ Jeremy Bicha ]
* Don't enable remote desktop support on Ubuntu. See LP bug 1802533
Checksums-Sha1:
3c23c6796524c189e84e0196eb044f52f8fe917d 38992 xdg-desktop-portal-dev_1.2.0-1_all.deb
62d26daeb56e96ff6639ff2ef0af18340ae7a605 9179 xdg-desktop-portal_1.2.0-1_all.buildinfo
Checksums-Sha256:
f98a6c57e6b932d7c6bf8e38949f57206f4c6ded0156b0afaaebfc89d7d5b443 38992 xdg-desktop-portal-dev_1.2.0-1_all.deb
3552acdfb12d65e325bd161bad6446185851defe83ecfa1562294cbf48615e59 9179 xdg-desktop-portal_1.2.0-1_all.buildinfo
Files:
16c46d8c8dc3f185d9aaaf4c43bcb97d 38992 admin optional xdg-desktop-portal-dev_1.2.0-1_all.deb
5996887565ed2ec3a64280fbf1a29e13 9179 admin optional xdg-desktop-portal_1.2.0-1_all.buildinfo
Format: 1.8
Date: Sat, 26 Jan 2019 18:31:50 +0000
Source: xdg-desktop-portal
Binary: xdg-desktop-portal-dev
Architecture: all
Version: 1.2.0-1
Distribution: unstable
Urgency: medium
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Changed-By: Simon McVittie <smcv@debian.org>
Description:
xdg-desktop-portal-dev - desktop integration portal - development files
Changes:
xdg-desktop-portal (1.2.0-1) unstable; urgency=medium
.
[ Simon McVittie ]
* New upstream stable release
* d/watch: Only watch for stable releases
* d/p/Revert-Stop-building-the-icon-validator.patch,
d/p/validate-icon-Add-a-define-for-bwrap.patch,
d/p/Replace-the-icon-validator-with-the-one-from-Flatpak-git-.patch:
Build a copy of the icon validator from Flatpak git master.
We don't want to rely on a version of Flatpak that isn't
stable yet.
- d/p/notification-Handle-non-existing-directories.patch,
d/p/notification-bind-mount-etc-ld.so.cache-to-the-sandbox.patch:
Remove, no longer necessary
* d/upstream/metadata: Add DEP-12 metadata
* Release to unstable
.
[ Jeremy Bicha ]
* Don't enable remote desktop support on Ubuntu. See LP bug 1802533
Checksums-Sha1:
3c23c6796524c189e84e0196eb044f52f8fe917d 38992 xdg-desktop-portal-dev_1.2.0-1_all.deb
62d26daeb56e96ff6639ff2ef0af18340ae7a605 9179 xdg-desktop-portal_1.2.0-1_all.buildinfo
Checksums-Sha256:
f98a6c57e6b932d7c6bf8e38949f57206f4c6ded0156b0afaaebfc89d7d5b443 38992 xdg-desktop-portal-dev_1.2.0-1_all.deb
3552acdfb12d65e325bd161bad6446185851defe83ecfa1562294cbf48615e59 9179 xdg-desktop-portal_1.2.0-1_all.buildinfo
Files:
16c46d8c8dc3f185d9aaaf4c43bcb97d 38992 admin optional xdg-desktop-portal-dev_1.2.0-1_all.deb
5996887565ed2ec3a64280fbf1a29e13 9179 admin optional xdg-desktop-portal_1.2.0-1_all.buildinfo
Format: 1.8
Date: Sat, 26 Jan 2019 18:31:50 +0000
Source: xdg-desktop-portal
Binary: xdg-desktop-portal xdg-desktop-portal-dbgsym xdg-desktop-portal-tests xdg-desktop-portal-tests-dbgsym
Architecture: amd64
Version: 1.2.0-1
Distribution: unstable
Urgency: medium
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Changed-By: Simon McVittie <smcv@debian.org>
Description:
xdg-desktop-portal - desktop integration portal for Flatpak and Snap
xdg-desktop-portal-tests - desktop integration portal - automated tests
Changes:
xdg-desktop-portal (1.2.0-1) unstable; urgency=medium
.
[ Simon McVittie ]
* New upstream stable release
* d/watch: Only watch for stable releases
* d/p/Revert-Stop-building-the-icon-validator.patch,
d/p/validate-icon-Add-a-define-for-bwrap.patch,
d/p/Replace-the-icon-validator-with-the-one-from-Flatpak-git-.patch:
Build a copy of the icon validator from Flatpak git master.
We don't want to rely on a version of Flatpak that isn't
stable yet.
- d/p/notification-Handle-non-existing-directories.patch,
d/p/notification-bind-mount-etc-ld.so.cache-to-the-sandbox.patch:
Remove, no longer necessary
* d/upstream/metadata: Add DEP-12 metadata
* Release to unstable
.
[ Jeremy Bicha ]
* Don't enable remote desktop support on Ubuntu. See LP bug 1802533
Checksums-Sha1:
da1f789d7921b4e44c0e843595d6c0766a22e52f 1153180 xdg-desktop-portal-dbgsym_1.2.0-1_amd64.deb
a1113c0c9de12b0b4dbf0a904d754be61bb54924 206988 xdg-desktop-portal-tests-dbgsym_1.2.0-1_amd64.deb
0f9964de82fbf493d4d4a9d0bb8da8106e4f90f6 55556 xdg-desktop-portal-tests_1.2.0-1_amd64.deb
07cf52da2e5cf3d76776a08e693362beccee6811 10078 xdg-desktop-portal_1.2.0-1_amd64.buildinfo
c1e43ea09f94d6fe3eb83d0410e3e80a9c63cf82 212204 xdg-desktop-portal_1.2.0-1_amd64.deb
Checksums-Sha256:
e1997883023ce824c1e63320b6e2935986b70b4b363e826ee3f6018629a13086 1153180 xdg-desktop-portal-dbgsym_1.2.0-1_amd64.deb
bfadd137cf31bfa1b5b87af87bfdd861ad52c3a70dc135e50ceaa6986a2be844 206988 xdg-desktop-portal-tests-dbgsym_1.2.0-1_amd64.deb
585e29127a00dc7feabdff72c2004b3c67c3fb528afd11e748e04ee7bf170ddb 55556 xdg-desktop-portal-tests_1.2.0-1_amd64.deb
442ba784f7498395ec38e023194e2374e1607cefc5433f896c8cb5cf19f8a669 10078 xdg-desktop-portal_1.2.0-1_amd64.buildinfo
6f2d1c73be324bfcdb3eea6bf1f3d2b78358989250c8334fca2fb2862c5986de 212204 xdg-desktop-portal_1.2.0-1_amd64.deb
Files:
b4a88209842aa2ea031c2b41a9ba82c1 1153180 debug optional xdg-desktop-portal-dbgsym_1.2.0-1_amd64.deb
ca48de7155966c0b0cea5e30226506be 206988 debug optional xdg-desktop-portal-tests-dbgsym_1.2.0-1_amd64.deb
9a497abe1208ed1504f057874b8c91da 55556 admin optional xdg-desktop-portal-tests_1.2.0-1_amd64.deb
cd99c019000a63b5cef9c2fc4213e89c 10078 admin optional xdg-desktop-portal_1.2.0-1_amd64.buildinfo
a4ed57a911718668b62a472db60729a9 212204 admin optional xdg-desktop-portal_1.2.0-1_amd64.deb
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256
Format: 1.8
Date: Sat, 26 Jan 2019 18:31:50 +0000
Source: xdg-desktop-portal
Architecture: source
Version: 1.2.0-1
Distribution: unstable
Urgency: medium
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Changed-By: Simon McVittie <smcv@debian.org>
Changes:
xdg-desktop-portal (1.2.0-1) unstable; urgency=medium
.
[ Simon McVittie ]
* New upstream stable release
* d/watch: Only watch for stable releases
* d/p/Revert-Stop-building-the-icon-validator.patch,
d/p/validate-icon-Add-a-define-for-bwrap.patch,
d/p/Replace-the-icon-validator-with-the-one-from-Flatpak-git-.patch:
Build a copy of the icon validator from Flatpak git master.
We don't want to rely on a version of Flatpak that isn't
stable yet.
- d/p/notification-Handle-non-existing-directories.patch,
d/p/notification-bind-mount-etc-ld.so.cache-to-the-sandbox.patch:
Remove, no longer necessary
* d/upstream/metadata: Add DEP-12 metadata
* Release to unstable
.
[ Jeremy Bicha ]
* Don't enable remote desktop support on Ubuntu. See LP bug 1802533
Checksums-Sha1:
356dc96c9d57de0a4f36cd16c4015b1aee1931fd 2431 xdg-desktop-portal_1.2.0-1.dsc
925661053e97c9aa849f8e8a5e7f2caf46e314f4 405856 xdg-desktop-portal_1.2.0.orig.tar.xz
68f06ca08739e30ed8fc957e9fad318cdd73a3e4 8532 xdg-desktop-portal_1.2.0-1.debian.tar.xz
d724848c560528a0e1d7c5f575b3d1e490d189b7 10038 xdg-desktop-portal_1.2.0-1_source.buildinfo
Checksums-Sha256:
b8c53f9d574d9eff13d331ca3f2975f52ac52eb78bd10ff8f15b756abd397b09 2431 xdg-desktop-portal_1.2.0-1.dsc
c9a4d6c415417aed3231ebc6c9a4091b90199bea4295aab311ce3dab4032e194 405856 xdg-desktop-portal_1.2.0.orig.tar.xz
c838e919bec5039a74ca7d247954394be8db9f9a8945a0efe4b95a5ae16117ba 8532 xdg-desktop-portal_1.2.0-1.debian.tar.xz
f221172b9b2eeaaf7c1b26cb3a434dc15c11acfd61c63bb4e2572982cd58d4bd 10038 xdg-desktop-portal_1.2.0-1_source.buildinfo
Files:
6f812573ffabcba64622290d8fac6705 2431 admin optional xdg-desktop-portal_1.2.0-1.dsc
8e85078478065f9592b0606bc32c5675 405856 admin optional xdg-desktop-portal_1.2.0.orig.tar.xz
74f3ddd00060d2b7992a41592728bf95 8532 admin optional xdg-desktop-portal_1.2.0-1.debian.tar.xz
0a70ad5592ac53bb4648261766a47c4b 10038 admin optional xdg-desktop-portal_1.2.0-1_source.buildinfo
-----BEGIN PGP SIGNATURE-----
iQIzBAEBCAAdFiEENuxaZEik9e95vv6Y4FrhR4+BTE8FAlxMydIACgkQ4FrhR4+B
TE8NWA/6AsokGe0NZqhoY91+MtFHmaN/M4iyL9shyHBZxMUJRyeDNmo2jJkIMDSX
OSHdptyybVfk31O3L58Ev9jXNG5lw2J31IXMrt4UYiGjJXdyq7IQyqHIrzrjBBCk
fcghcT8PFMHBtTaOHyj4sKo9jAK9tH53ZRK242PebZt3Fdn1FUneVpn7GSI3d78M
+kzx0I7Z334rAAvAe8IkSDyYHfi+bJ9gchJaWt2LD2sulh77W4HqaxtSE+4H+7UR
2eAP8FuI3Q6gg90VTDR0y4mOvvNfzZ1jN6R8J9mR8qwTIbpbZCju1oO1jOOuGQSL
05aeWGqNsdl2vjDr4TsraDv4dkdCQhF6EdWWIreKCQQL5Zh5p9t+z2LOITcRbd2Q
1PcR1vJJLzkpT9M7DSWDRbJ+iWsDjuUIsr1d6dMs+AGVWaPnFytIUxExreEdn7Ul
GJXLWsYg4AmePNoXWJch24G3S/pn5L9Am0Ikuwze9LFR+GJTtYyPytBjtXE/jysx
F2tdJUl/h29xLzw0kIMm0+vj0/ln2RUP3KIBNcXS+ekP2Grte6LKgfq9kNRTfePx
gfGmz+6stAcnTnoJBX/hkBAujQL6nkU+ZPakakn10GJabTwhEtMH0OQksKUKDMKB
1plr19l5RNZTGwmJ5KTK2CBVs3Ctzgz66l1YgexZWhr3PWv/bhE=
=hcT2
-----END PGP SIGNATURE-----
This diff is collapsed.
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment